For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • DELPermanently delete the authenticated user's account
API ReferenceAccount

Permanently delete the authenticated user's account

DELETE
https://devapi.withverifa.com/api/v1/me/account
DELETE
/api/v1/me/account
$curl -X DELETE https://devapi.withverifa.com/api/v1/me/account \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "password": "Str0ngP@ssw0rd!2024",
> "confirm": true
>}'
1{
2 "deleted": true
3}
Permanently erases the dashboard user account belonging to the caller. This is a self-service GDPR Article 17 right-to-erasure for the signed-in user. Requires a fresh password re-authentication in the request body. SSO- only accounts (no local password) cannot use this endpoint and must contact support — those callers receive `400`. Rate-limited per account to prevent password-guessing.
Was this page helpful?
Previous
Built with

Permanently erases the dashboard user account belonging to the caller. This is a self-service GDPR Article 17 right-to-erasure for the signed-in user.

Requires a fresh password re-authentication in the request body. SSO- only accounts (no local password) cannot use this endpoint and must contact support — those callers receive 400.

Rate-limited per account to prevent password-guessing.

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Idempotency-KeystringOptional<=255 characters

Unique key for idempotent requests. Cached for 24 hours. Sending the same key with different parameters returns 422.

Request

This endpoint expects an object.
passwordstringRequiredformat: "password"<=256 characters

The user’s current password (re-authentication).

confirmbooleanRequired

Must be true — explicit acknowledgement that the deletion is irreversible.

Response

Account deleted.
deletedboolean

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error